Bug 136895 - No undo step for marking a a comment as resolved
Summary: No undo step for marking a a comment as resolved
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Undo-Redo Writer-Comments
  Show dependency treegraph
 
Reported: 2020-09-19 21:01 UTC by Telesto
Modified: 2022-11-05 17:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (9.38 KB, application/vnd.oasis.opendocument.text)
2020-09-19 21:01 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-19 21:01:05 UTC
Description:
No undo step for marking a a comment as resolved

Steps to Reproduce:
1. Open the attached file
2. Change the status of the comment to resolved
3. Undo

Actual Results:
No undo

Expected Results:
Probably


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: abcc4eb907661e07ad850ccce7eb06f129da4286
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-09-19 21:01:30 UTC
Created attachment 165691 [details]
Example file
Comment 2 Aron Budea 2020-09-23 21:13:27 UTC
Actually, there is an undo step, but it doesn't undo the resolution of the comment.
Confirmed using LO 7.1.0.0.alpha0+ (121771e37f7e2de41cd5643475861062bf25627b) & 6.4.0.3 / Ubuntu.

In 7.1 there are two undo steps instead of one, and also a(n unrelated) crash after some steps, see bug 136985.
Comment 3 BogdanB 2021-07-27 05:19:59 UTC
The same. Retested in 
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 612d5b1a04fe022a34018d901bb9b052791d54e5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded